Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Newer
Older
100644 53 lines (43 sloc) 1.121 kb
2e1b239 @dchelimsky use the correct ruby-debug for the ruby version
dchelimsky authored
1 source "http://rubygems.org"
62f1bde @dchelimsky update dependencies across development repos
dchelimsky authored
2
6df9d2f @dchelimsky align Gemfiles across rspec dev repos
dchelimsky authored
3 ### rspec libs
62f1bde @dchelimsky update dependencies across development repos
dchelimsky authored
4 %w[rspec-core rspec-expectations rspec-mocks].each do |lib|
732be07 @spicycode Allow use of local repositories or gems for Bundler deps
spicycode authored
5 library_path = File.expand_path("../../#{lib}", __FILE__)
6 if File.exist?(library_path)
7 gem lib, :path => library_path
8 else
9 gem lib
10 end
62f1bde @dchelimsky update dependencies across development repos
dchelimsky authored
11 end
2e1b239 @dchelimsky use the correct ruby-debug for the ruby version
dchelimsky authored
12
6df9d2f @dchelimsky align Gemfiles across rspec dev repos
dchelimsky authored
13 ### dev dependencies
14 gem "rake", "0.8.7"
76e0d64 @dchelimsky upgrade cucumber
dchelimsky authored
15 gem "cucumber", "0.9.4"
aa75bfe @dchelimsky back to cucumber 0.8.5 again (too many files bug)
dchelimsky authored
16 gem "aruba", "0.2.2"
f76caf3 @myronmarston Add scripts that run specs/cukes against all supported rubies.
myronmarston authored
17 gem "rcov", "0.9.9", :platforms => :mri
6df9d2f @dchelimsky align Gemfiles across rspec dev repos
dchelimsky authored
18 gem "relish", "0.2.0"
19 gem "guard-rspec", "0.1.9"
20 gem "growl", "1.0.3"
c228993 @dchelimsky lock ZenTest at ~> 4.4.2
dchelimsky authored
21 gem "ZenTest", "~> 4.4.2"
6df9d2f @dchelimsky align Gemfiles across rspec dev repos
dchelimsky authored
22 gem "nokogiri", "1.4.4"
c6cac07 @ldenman Add autotest-fsevent to bundle when ruby platform is darwin.
ldenman authored
23
24 if RUBY_PLATFORM =~ /darwin/
6df9d2f @dchelimsky align Gemfiles across rspec dev repos
dchelimsky authored
25 gem "autotest-fsevent", "~> 0.2.4"
26 gem "autotest-growl", "~> 0.2.9"
c6cac07 @ldenman Add autotest-fsevent to bundle when ruby platform is darwin.
ldenman authored
27 end
28
f76caf3 @myronmarston Add scripts that run specs/cukes against all supported rubies.
myronmarston authored
29 gem "ruby-debug", :platforms => :mri_18
30 gem "ruby-debug19", "~> 0.11.6", :platforms => :mri_19
0b278b2 @dchelimsky use platforms in Gemfile as intended
dchelimsky authored
31
f76caf3 @myronmarston Add scripts that run specs/cukes against all supported rubies.
myronmarston authored
32 case RUBY_VERSION
33 when '1.9.1'; gem 'ruby-debug-base19', '0.11.23'
34 when '1.9.2'; gem 'ruby-debug-base19', '0.11.24'
35 end
36
37 platforms :mri_18, :mri_19 do
6df9d2f @dchelimsky align Gemfiles across rspec dev repos
dchelimsky authored
38 gem "rb-fsevent", "~> 0.3.9"
39 gem "ruby-prof", "~> 0.9.2"
2e1b239 @dchelimsky use the correct ruby-debug for the ruby version
dchelimsky authored
40 end
fcf781a @spicycode Adding jruby-openssl to the jruby platform bundle to eliminate warnings
spicycode authored
41
42 platforms :jruby do
43 gem "jruby-openssl"
44 end
6df9d2f @dchelimsky align Gemfiles across rspec dev repos
dchelimsky authored
45
46 ### rspec-core only
47 gem "mocha", "~> 0.9.10"
48 gem "rr", "~> 1.0.2"
49 gem "flexmock", "~> 0.8.11"
50
51 ### optional runtime deps
52 gem "syntax", "1.0.0"
Something went wrong with that request. Please try again.